<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: SDL_JoyAxisEvent Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">SDL_JoyAxisEvent Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Joystick axis motion event structure (event.jaxis.*)  
 <a href="struct_s_d_l___joy_axis_event.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_s_d_l__events_8h_source.html">SDL_events.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aed1c873fb90ba58194e65f972933c67d"><td class="memItemLeft" align="right" valign="top">Uint32&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___joy_axis_event.html#aed1c873fb90ba58194e65f972933c67d">type</a></td></tr>
<tr class="separator:aed1c873fb90ba58194e65f972933c67d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60ecfc70df9eeef8e33b5dd7dc060389"><td class="memItemLeft" align="right" valign="top">Uint32&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___joy_axis_event.html#a60ecfc70df9eeef8e33b5dd7dc060389">timestamp</a></td></tr>
<tr class="separator:a60ecfc70df9eeef8e33b5dd7dc060389"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a965719f4703a7091bcc5f07f79fcf7e1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_s_d_l__joystick_8h.html#a3c3d32500cb08f76ee8077983912c0bd">SDL_JoystickID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___joy_axis_event.html#a965719f4703a7091bcc5f07f79fcf7e1">which</a></td></tr>
<tr class="separator:a965719f4703a7091bcc5f07f79fcf7e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0beac2fb161e45771c424bd0b6daeabb"><td class="memItemLeft" align="right" valign="top">Uint8&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___joy_axis_event.html#a0beac2fb161e45771c424bd0b6daeabb">axis</a></td></tr>
<tr class="separator:a0beac2fb161e45771c424bd0b6daeabb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8e17bced478530638982f0382a0dafa"><td class="memItemLeft" align="right" valign="top"><a id="ae8e17bced478530638982f0382a0dafa"></a>
Uint8&#160;</td><td class="memItemRight" valign="bottom"><b>padding1</b></td></tr>
<tr class="separator:ae8e17bced478530638982f0382a0dafa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5407250032f618fde7437ac5f229257"><td class="memItemLeft" align="right" valign="top"><a id="ad5407250032f618fde7437ac5f229257"></a>
Uint8&#160;</td><td class="memItemRight" valign="bottom"><b>padding2</b></td></tr>
<tr class="separator:ad5407250032f618fde7437ac5f229257"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bf5144fddc19686c2003add1f0e1565"><td class="memItemLeft" align="right" valign="top"><a id="a8bf5144fddc19686c2003add1f0e1565"></a>
Uint8&#160;</td><td class="memItemRight" valign="bottom"><b>padding3</b></td></tr>
<tr class="separator:a8bf5144fddc19686c2003add1f0e1565"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53ee73e7c367934dd6edb69963be5556"><td class="memItemLeft" align="right" valign="top">Sint16&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_d_l___joy_axis_event.html#a53ee73e7c367934dd6edb69963be5556">value</a></td></tr>
<tr class="separator:a53ee73e7c367934dd6edb69963be5556"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a604b258940a8cd8beaa5efeb55d6f825"><td class="memItemLeft" align="right" valign="top"><a id="a604b258940a8cd8beaa5efeb55d6f825"></a>
Uint16&#160;</td><td class="memItemRight" valign="bottom"><b>padding4</b></td></tr>
<tr class="separator:a604b258940a8cd8beaa5efeb55d6f825"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Joystick axis motion event structure (event.jaxis.*) </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a0beac2fb161e45771c424bd0b6daeabb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0beac2fb161e45771c424bd0b6daeabb">&#9670;&nbsp;</a></span>axis</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint8 SDL_JoyAxisEvent::axis</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>The joystick axis index </p>

</div>
</div>
<a id="a60ecfc70df9eeef8e33b5dd7dc060389"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60ecfc70df9eeef8e33b5dd7dc060389">&#9670;&nbsp;</a></span>timestamp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint32 SDL_JoyAxisEvent::timestamp</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>In milliseconds, populated using <a class="el" href="_s_d_l__timer_8h.html#a0b9bc71d6287e0ffafdc3419760fe2b3" title="Get the number of milliseconds since the SDL library initialization.">SDL_GetTicks()</a> </p>

</div>
</div>
<a id="aed1c873fb90ba58194e65f972933c67d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed1c873fb90ba58194e65f972933c67d">&#9670;&nbsp;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Uint32 SDL_JoyAxisEvent::type</td>
        </tr>
      </table>
</div><div class="memdoc">
<p><a class="el" href="_s_d_l__events_8h.html#a3b589e89be6b35c02e0dd34a55f3fccaaf0803b3f8a12de3d85f81ebd7b514cd1">SDL_JOYAXISMOTION</a> </p>

</div>
</div>
<a id="a53ee73e7c367934dd6edb69963be5556"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53ee73e7c367934dd6edb69963be5556">&#9670;&nbsp;</a></span>value</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Sint16 SDL_JoyAxisEvent::value</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>The axis value (range: -32768 to 32767) </p>

</div>
</div>
<a id="a965719f4703a7091bcc5f07f79fcf7e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a965719f4703a7091bcc5f07f79fcf7e1">&#9670;&nbsp;</a></span>which</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_s_d_l__joystick_8h.html#a3c3d32500cb08f76ee8077983912c0bd">SDL_JoystickID</a> SDL_JoyAxisEvent::which</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>The joystick instance id </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/SDL/<a class="el" href="_s_d_l__events_8h_source.html">SDL_events.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
